Page MenuHomePhabricator

Make PayPal listener understand Express Checkout
Closed, ResolvedPublic2 Story Points

Description

Implement the new transaction type(s), express_checkout and possibly mp_signup and mp_cancel.
https://developer.paypal.com/docs/classic/ipn/integration-guide/IPNandPDTVariables/

Details

Related Gerrit Patches:
wikimedia/fundraising/SmashPig : masterParse Express Checkout charge
wikimedia/fundraising/SmashPig : masterParse Express Checkout charge

Event Timeline

awight created this task.Mar 24 2016, 6:12 PM
awight removed a project: Epic.Mar 24 2016, 6:14 PM

The docs make German ELV payments sound like a special case to watch out for. Do we accept these?

DStrine changed the point value for this task from 2 to 4.
awight renamed this task from PayPal listener must support the express_checkout transaction type to Rewrite PayPal listener under SmashPig.Apr 4 2016, 8:47 PM
awight updated the task description. (Show Details)
awight updated the task description. (Show Details)Apr 4 2016, 8:49 PM
awight updated the task description. (Show Details)Apr 4 2016, 9:44 PM

Note that the gateway should be set to "paypal_ec" for Express Checkout transactions.

DStrine moved this task from Sprint +3 to Sprint +1 on the Fundraising-Backlog board.

Great idea! Knocking this out before doing the queue work will spare us a throwaway integration in the legacy PayPal listener...

awight renamed this task from Rewrite PayPal listener under SmashPig to Make PayPal listener understand Express Checkout.Aug 16 2016, 5:46 PM
awight removed a project: FR-ActiveMQ.
awight changed the point value for this task from 4 to 2.
awight updated the task description. (Show Details)Dec 5 2016, 10:18 PM

Change 325833 had a related patch set uploaded (by Awight):
Parse Express Checkout charge

https://gerrit.wikimedia.org/r/325833

Ejegg added a subscriber: Ejegg.Dec 12 2016, 8:18 PM

Odd, gerrit says the patch is missing

Change 326829 had a related patch set uploaded (by Awight):
Parse Express Checkout charge

https://gerrit.wikimedia.org/r/326829

awight claimed this task.Dec 14 2016, 9:01 PM

Note: the first charge is actually done explicitly on our end, so looks exactly like a one-time EC charge. There's no subscription information, we'll have to tie that together by looking up the other identifiers in our system.

Change 326829 merged by jenkins-bot:
Parse Express Checkout charge

https://gerrit.wikimedia.org/r/326829

Ejegg added a comment.Feb 1 2017, 8:17 PM

Express checkout payment is now recorded as gateway paypal_ec in Civi. mp_ types are not yet implemented.

DStrine closed this task as Resolved.Feb 1 2017, 11:35 PM
Ejegg reopened this task as Open.Feb 2 2017, 7:53 PM

Re-opening, as it still doesn't understand this subscription-related EC thing:

https://civicrm.wikimedia.org/damaged/13300

Ejegg reassigned this task from Ejegg to XenoRyet.Feb 15 2017, 11:42 PM
Ejegg moved this task from Done to Doing on the Fundraising Sprint Costlier Alternative board.
Ejegg closed this task as Resolved.Feb 15 2017, 11:44 PM
Ejegg moved this task from Doing to Done on the Fundraising Sprint Costlier Alternative board.

New task for the newly discovered problem: T157074

mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM

Change 325833 abandoned by Awight:
Parse Express Checkout charge

https://gerrit.wikimedia.org/r/325833